# $Revision: 1.9 $, $Date: 2011/07/01 14:26:14 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires Internet connection)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	Mechanize-Sleepy
Summary:	WWW::Mechanize::Sleepy - provide pauses to WWW::Mechanize
Summary(pl.UTF-8):	WWW::Mechanize::Sleepy - dodanie przerw do WWW::Mechanize
Name:		perl-WWW-Mechanize-Sleepy
Version:	0.7
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/WWW/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8ae1eead3981821c28eab12c640edb8c
URL:		http://search.cpan.org/dist/WWW-Mechanize-Sleepy/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-URI
BuildRequires:	perl-libwww >= 5.76
BuildRequires:	perl(Test::More) >= 0.34
%endif
Requires:	perl-WWW-Mechanize
Requires:	perl-libwww >= 5.76
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW::Mechanize::Sleepy subclasses WWW::Mechanize to provide pauses
between your server requests.

%description -l pl.UTF-8
WWW::Mechanize::Sleepy udostępnia podklasę WWW::Mechanize
umożliwiającą wprowadzanie przerw między zapytaniami serwera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo "y" | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/WWW/Mechanize/*.pm
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WWW-Mechanize-Sleepy.spec,v $
Revision 1.9  2011/07/01 14:26:14  marti
- up to 0.7

Revision 1.8  2007/03/31 17:01:03  qboosh
- generic URL

Revision 1.7  2007/03/26 21:52:01  radek
- version 0.6

Revision 1.6  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:53  paladine
- formatting

Revision 1.3  2004/10/29 16:43:37  radek
- standarized

Revision 1.2  2004/10/19 19:54:40  qboosh
- cosmetics, grepable files list

Revision 1.1  2004/10/19 06:54:15  tiwek
- initial pld release, STBR PLEASE
